Subject: Re: PATCH: improve git switch documentation

From: Sergey Organov <[email-masked]>
Date: Sun, 11 Jul 2021 12:30:29 +0300

Martin <[email-masked]> writes:

>
> As I said, I try to avoid reset, and also there is no "--reset" to match. Only a "reset" command, and it does a wide range of diff things
>
>     -force-new <branch-name> <commit>
>     -N <branch-name> <commit>
>       See the --new option.
>       Allows to [re-]use the name of an existing branch.
>       This may drop commits of that branch.
>
> Or
>       See the --new option.
>       Can use the name of an existing branch.
>       Removing that branch may drop commits.
> If needs must
>       "Removing" => "Resetting"
>
>
> Or even shorter
>       See the --new option.
>       Allows to re-use a branch-name and may drop commits
>       [resetting it].

I'm strongly against "may drop commits". I see what you mean, but "drop"
sounds wrong to me, and we should not be plain wrong in the manuals.

Maybe:

"Allows to reuse <branch-name>. Commits from the former branch may
become unreferenced."

At least this it technically correct and doesn't sound that utterly
fatal.

Thanks,
-- 
Sergey Organov